# Uses of Class
org.eclipse.mat.query.registry.CategoryDescriptor

Packages that use CategoryDescriptor
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).

## Uses of CategoryDescriptor in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return CategoryDescriptor
Modifier and Type
Method
Description
`CategoryDescriptor`
QueryRegistry.`getRootCategory()`
`CategoryDescriptor`
CategoryDescriptor.`resolve(String name)`
Methods in org.eclipse.mat.query.registry that return types with arguments of type CategoryDescriptor
Modifier and Type
Method
Description
`List<CategoryDescriptor>`
CategoryDescriptor.`getSubCategories()`
Methods in org.eclipse.mat.query.registry with parameters of type CategoryDescriptor
Modifier and Type
Method
Description
`void`
CategoryDescriptor.`add(CategoryDescriptor category)`

## Uses of CategoryDescriptor in org.eclipse.mat.ui.internal.browser

Constructors in org.eclipse.mat.ui.internal.browser with parameters of type CategoryDescriptor
Modifier
Constructor
Description
``
`QueryRegistryProvider(IQueryContext context, CategoryDescriptor c, IPolicy policy)`